Toggle domain forwarding
API Docs with browser clientEnable or disable managed forwarding DNS records for a domain. Enabling forwarding requires a destination URL and validates that the resulting DNS zone remains valid.
In: header
Header Parameters
Optional delegated account address to authenticate as when the signer is an approved signer. Preferred header name.
Legacy alias for x-namefi-erc1271-account. When multiple delegated account headers are present, x-namefi-eip7702-account takes precedence, then x-namefi-erc1271-account.
Optional delegated account address to authenticate as when the signer is an approved signer. Preferred ERC-1271 header name.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.namefi.dev/v-next/dns/forwarding" \ -H "Content-Type: application/json" \ -d '{ "payloadType": "ToggleForwarding", "payload": { "normalizedDomainName": "string", "enableForwarding": true }, "timestamp": 0, "nonce": "string" }'{
"success": true
}{
"defined": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "Bad Request",
"data": null
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Unauthorized",
"data": null
}{
"defined": true,
"code": "PAYMENT_REQUIRED",
"status": 402,
"message": "Payment Required",
"data": null
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "Forbidden",
"data": null
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "Not Found",
"data": null
}{
"defined": true,
"code": "NOT_ACCEPTABLE",
"status": 406,
"message": "Not Acceptable",
"data": null
}{
"defined": true,
"code": "TIMEOUT",
"status": 408,
"message": "Request Timeout",
"data": null
}{
"defined": true,
"code": "CONFLICT",
"status": 409,
"message": "Conflict",
"data": null
}{
"defined": true,
"code": "PRECONDITION_FAILED",
"status": 412,
"message": "Precondition Failed",
"data": null
}{
"defined": true,
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Too Many Requests",
"data": null
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "Internal Server Error",
"data": null
}Toggle Domain Parking PUT
Park a domain by setting up default parking DNS records (A and AAAA records pointing to the parking server). Optionally override existing conflicting records.
Toggle Vercel anycast DNS records PUT
Enable or disable Vercel anycast DNS records for a domain. Subdomains use an apex CNAME, traditional apex domains use Vercel's anycast A record plus parking-style CAA records.